from collections import namedtuple

# pojmenovaná n-tice pro záznam údajů o jednom filmu
Film = namedtuple('FilmInfo', 'pořadí, název, rok, režisér, tržby')

# načtení údajů o jednotlivých filmech do seznamu pro pozdější zpracování
filmy = []
with open('filmy_2.csv', mode='tr', encoding='utf-8') as soubor:
    for řádka in soubor:
        pořadí, název, rok, režisér, tržby = řádka.strip('\n').split(';')
        filmy.append(
            Film(pořadí, název, rok, režisér, tržby)   # pětice
        )

# řadicí funkce
def řazení(film):
    return -int(
        film.tržby[1:].replace(',', '')
    )

# výpis seznamu
for film in sorted(filmy, key=řazení):
    print(f'{film.pořadí:0>2}. {film.název} ({film.rok})')
    print(f'\t~ {film.režisér}')
    print(f'\t~ {film.tržby}\n')
